# Function parseString

- parseString(
  str: convertableToString ,
  callback: (err: null | Error, result: any) => void,
  ): void

  #### Parameters

  - str: convertableToString
  - callback: (err: null | Error, result: any) => void

  #### Returns void

  - Defined in node_modules/@types/xml2js/index.d.ts:5
- parseString(
  str: convertableToString ,
  options: ParserOptions ,
  callback: (err: null | Error, result: any) => void,
  ): void

  #### Parameters

  - str: convertableToString
  - options: ParserOptions
  - callback: (err: null | Error, result: any) => void

  #### Returns void

  - Defined in node_modules/@types/xml2js/index.d.ts:6